
function addInput(
    event,
    element,
    name,
    placeholder,
    pattern
) {

    event.preventDefault();

    if (typeof name !== 'string')
        alert('[addDynamicInput] Invalid type of name attribute');

    var input  = document.createElement('input');

    input.setAttribute('name', name);
    input.setAttribute('type', 'text');
    input.setAttribute('placeholder', placeholder || '');
    input.setAttribute('pattern', pattern || '');

    element.parentElement.insertBefore(input, element);

    $.fancybox.update();

    Foundation.reInit('abide');
}

function submitSettingsForm(
    event,
    element
) {
    event.preventDefault();

    if (element.getAttribute('data-abide'))
        $(element).foundation('validateForm');

    if ($('.is-invalid-input', element).length) return false;

    element.style.position = 'relative';

    var id = element.getAttribute('id');

    var holder = document.createElement('div');

    holder.setAttribute('class', 'holder');

    element.appendChild(holder);

    var submitName = element.querySelector('button[type="submit"]').getAttribute('name');

    var additionalData = Object.create(null);
    additionalData[submitName] = '';

    $(element).ajaxSubmit({
        url:  document.location.href,
        type: 'POST',
        data: additionalData,
        success: function (responseText)  {

            var html  = $(responseText);
            var inner = $('#'+ id, html).html();

            element.innerHTML = inner;

            $.fancybox.update();

            Foundation.reInit('abide');
        }
    });
}

function submitLicenseForm(
    event,
    element
) {
    event.preventDefault();

    element.style.position = 'relative';

    var holder = document.createElement('div');

    holder.setAttribute('class', 'holder');

    element.appendChild(holder);

    var submitName = element.querySelector('button[type="submit"]').getAttribute('name');

    var additionalData = Object.create(null);
    additionalData[submitName] = '';

    $(element).ajaxSubmit({
        url:  document.location.href,
        type: 'POST',
        data: additionalData,
        success: function (responseText, statusText, xhr) {

            var html = $.parseHTML(responseText);
            var form = $(html).find('#license-popup');
            var icon = $(html).find('#license-icon');

            $.fancybox.update();

            if (!$(form).find('.callout.alert').length) {

                $('#license-icon').replaceWith(icon);
                $.fancybox.close();
            }

            element.innerHTML = $(form).html();
        }
    });
}