/**
 * @class MoonplayerSpinner
 *
 * @param {Object} mp Objec of Moonplayer Class
 * @property {Object} el DOMElement #spinner
 * @method show Show spinner element
 * @method hide Hide spinner element
 */
function MoonplayerSpinner(mp) {

	this.el = null;

	/**
	 * @method show
	 */
	this.show = function() {
		if (!this.el) {
			this.el = document.createElement('div');
			this.el.setAttribute('id', 'spinner');
			this.el.innerHTML = '<div data-spinner="" class="spinner-three-bounce"><div data-bounce1=""></div><div data-bounce2=""></div><div data-bounce3=""></div></div>';
		}
		mp.documentLayer.appendChild(this.el);
	};

	/**
	 * @method hide
	 */
	this.hide = function() {
		if (mp.documentLayer.contains(this.el))
            mp.documentLayer.removeChild(this.el);
	};

}