/**
 * @class MoonplayerExecute
 *
 * @param {Object} mp Object of Moonplayer Class
 * @method script Execute string as a javascript code at the document head
 */
function MoonplayerExecute(mp) {

    /**
     * @method script
     *
     * @param {String} script Strint to execute
     * @param {Number|Boolean} timeToRemove Milliseconds to remove script tag (pass a false to not remove)
     */
	this.script = function(string, timeToRemove) {

		if (typeof string !== 'string') return false;

		var elementScript = document.createElement('script');
		elementScript.innerHTML = string;

		var documentHead = document.querySelector('head');

		documentHead.appendChild(elementScript);

		if (timeToRemove !== false) {
			setTimeout(function() {
				documentHead.removeChild(elementScript);
			}, typeof timeToRemove === 'number' ? timeToRemove : 1000);
        }
        
	};

}