/**
 * Playbar
 *
 * @param list
 * @constructor
 *
 * @author Mike Evstropov <mike.evstropov@gmail.com>
 */
function Playbar(list) {

    this.el = document.createElement('div');

    this.el.setAttribute('id', 'playbar');

    if (list.playlist.seasons.length) {

        var seasons = list.playlist.seasons;
        var seasonsButton = document.createElement('div');

        seasonsButton.setAttribute('class', 'playbar-button playbar-button-seasons');

        var seasonsLabel = document.createElement('label');
        var seasonsList = document.createElement('ul');

        var seasonCyr = decodeURIComponent('%D1%81%D0%B5%D0%B7%D0%BE%D0%BD');

        seasonsLabel.innerHTML = seasonCyr;

        for (var i = 0, l = seasons.length; i < l; i++) {

            var item = document.createElement('li');
            var anchor = document.createElement('a');

            anchor.innerHTML = seasonCyr +' '+ seasons[i].name;
            if (seasons[i].url) anchor.setAttribute('href', seasons[i].url);

            item.appendChild(anchor);

            seasonsList.appendChild(item);

            if (seasons[i].selected) {
                item.setAttribute('class', 'selected');
                seasonsLabel.innerHTML = anchor.innerHTML;
            }
        }

        seasonsButton.appendChild(seasonsLabel);
        seasonsButton.appendChild(seasonsList);

        this.el.appendChild(seasonsButton);
    }

    if (list.playlist.episodes.length) {

        var episodes = list.playlist.episodes;
        var episodesButton = document.createElement('div');

        episodesButton.setAttribute('class', 'playbar-button playbar-button-episodes');

        var episodesLabel = document.createElement('label');
        var episodesList = document.createElement('ul');

        var episodeCyr = decodeURIComponent('%D1%8D%D0%BF%D0%B8%D0%B7%D0%BE%D0%B4');

        episodesLabel.innerText = episodeCyr;

        for (var i = 0, l = episodes.length; i < l; i++) {

            var item = document.createElement('li');
            var anchor = document.createElement('a');

            anchor.innerHTML = episodeCyr +' '+ episodes[i].name;
            if (episodes[i].url) anchor.setAttribute('href', episodes[i].url);

            item.appendChild(anchor);

            episodesList.appendChild(item);

            if (episodes[i].selected) {
                item.setAttribute('class', 'selected');
                episodesLabel.innerHTML = anchor.innerHTML;
            }
        }

        episodesButton.appendChild(episodesLabel);
        episodesButton.appendChild(episodesList);

        this.el.appendChild(episodesButton);
    }

    if (list.playlist.releases.length) {

        var releases = list.playlist.releases;
        var releasesButton = document.createElement('div');

        releasesButton.setAttribute('class', 'playbar-button playbar-button-releases');

        var releasesLabel = document.createElement('label');
        var releasesList = document.createElement('ul');

        releasesLabel.innerText = decodeURIComponent('%D0%BF%D0%B5%D1%80%D0%B5%D0%B2%D0%BE%D0%B4');

        for (var i = 0, l = releases.length; i < l; i++) {

            var item = document.createElement('li');
            var anchor = document.createElement('a');

            anchor.innerHTML = releases[i].name;
            if (releases[i].url) anchor.setAttribute('href', releases[i].url);

            item.appendChild(anchor);

            releasesList.appendChild(item);

            if (releases[i].selected) item.setAttribute('class', 'selected');
        }

        releasesButton.appendChild(releasesLabel);
        releasesButton.appendChild(releasesList);

        this.el.appendChild(releasesButton);
    }

}