/**
 * startPlayer
 *
 * @function
 *
 * @author moonwalk.cc <hdlight@cryptoheaven.com>
 */
function startPlayer() {

    function updateBuffer() {
        var a = document.getElementsByTagName("video")[0];
        if (a && player.video.time) {
            var b = a.buffered.length;
            if (b > 0) for (var c = b - 1; c >= 0; c--) if (player.video.time > a.buffered.start(c)) {
                if (b - 1 > c && a.buffered.start(c + 1) - a.buffered.end(c) < 200) var d = a.buffered.end(c + 1); else var d = a.buffered.end(c);
                d - player.video.time > 60 && (d = player.video.time + 60);
                var e = d / (player.video.duration / 100);
                $(".fp-x-buffer").css("width", e + "%");
                break;
            }
        } else player.engine && "flash" == player.engine.engineName && ($(".fp-buffer").css("background-color", "#666666"),
            clearInterval(updateBufferInterval));
    }

    function update_dropdown() {
        $(".fp-quality-dropdown div").each(function() {
            $(this).data("quality") == links["default"] ? $(this).addClass("current") : $(this).removeClass("current");
        });
    }

    function changeQuality(a) {
        links["default"] = a, $(".fp-quality span").html(links["default"] + "p"), update_dropdown(),
            a >= 720 ? $(".fp-quality").addClass("hd") : $(".fp-quality").removeClass("hd"),
            current_time = player.video.time, player.load({
            sources: [ {
                type: links.qualities[a].type,
                src: links.qualities[a].src
            } ]
        }, function(a, b, c) {
            player.seek(current_time, function(a, b, c) {
                player.resume();
            })
            need_to_seek = !0;
        });
    }

    var updateBufferInterval = setInterval(updateBuffer, 1e3), all_qualities = [], all_qualities_raw = [], hls_qualities_raw = {}, hls_qualities = {};

    if (links.hls) $.get(links.hls, function(a) {
        for (var b = a, c = /#EXT[^:]*:RESOLUTION=([0-9]+)x([0-9]+),BANDWIDTH=([0-9]+)\n([^#\n]+)\n?/gi; null != (hls_matches = c.exec(b)); ) all_qualities_raw.push(hls_matches[2]),
            hls_qualities_raw[hls_matches[2]] = {
                type: "application/x-mpegURL",
                src: hls_matches[4]
            };
        links.qualities = {}, all_qualities_raw.sort(function(a, b) {
            return parseInt(a) > parseInt(b) ? 1 : parseInt(a) < parseInt(b) ? -1 : void 0;
        }).forEach(function(a, b, c) {
            if (0 == b) var d = 360;
            if (1 == b) var d = 480;
            if (2 == b) var d = 720;
            if (3 == b) var d = 1080;
            all_qualities.push(d), links.qualities[d] = hls_qualities_raw[a];
            var e = d >= 720 ? "hd" : "";
            $(".fp-quality .fp-quality-dropdown").prepend("<div class='" + e + "' data-quality='" + d + "'>" + d + "p</div>");
        });
        var d = all_qualities[all_qualities.length - 1];
        d < links["default"] && (links["default"] = d), $(".fp-quality span").html(links["default"] + "p"),
        links["default"] >= 720 && $(".fp-quality").addClass("hd"), update_dropdown(), player.conf.clip.sources = [ {
            type: links.qualities[links["default"]].type,
            src: links.qualities[links["default"]].src
        } ], $(".flowplayer").removeClass("loading"), !links.autostart || device.tablet() || device.mobile() || player.toggle();
    }); else {
        $.each(links.qualities, function(a, b) {
            all_qualities.push(a);
        }), all_qualities.sort(function(a, b) {
            return parseInt(a) > parseInt(b) ? 1 : parseInt(a) < parseInt(b) ? -1 : void 0;
        }).forEach(function(a, b, c) {
            var d = a >= 720 ? "hd" : "";
            $(".fp-quality .fp-quality-dropdown").prepend("<div class='" + d + "' data-quality='" + a + "'>" + a + "p</div>");
        });
        var best_quality = all_qualities[all_qualities.length - 1];
        best_quality < links["default"] && (links["default"] = best_quality), $(".fp-quality span").html(links["default"] + "p"),
        links["default"] >= 720 && $(".fp-quality").addClass("hd"), player.conf.clip.sources = [ {
            type: links.qualities[links["default"]].type,
            src: links.qualities[links["default"]].src
        } ], $(".flowplayer").removeClass("loading"), !links.autostart || device.tablet() || device.mobile() || player.toggle();
    }

    update_dropdown();

    $("body").on("click", ".fp-quality", function() {
        $(this).hasClass("active") ? ($(this).removeClass("active"), $(".fp-quality-dropdown").hide()) : ($(this).addClass("active"),
                $(".fp-quality-dropdown").fadeIn(100));
    });

    $(document).mouseup(function(a) {
        var b = $(".fp-quality");
        b.is(a.target) || 0 !== b.has(a.target).length || ($(".fp-quality").removeClass("active"),
            $(".fp-quality-dropdown").hide());
    });

    var leaveCounter = !1, leaveTimeout;

    $("body").on("mouseleave", ".fp-quality.active", function() {
        0 == leaveCounter && (leaveCounter = !0, leaveTimeout = setTimeout(function() {
            $(".fp-quality").removeClass("active"), $(".fp-quality-dropdown").hide(), leaveCounter = !1;
        }, 1500));
    }), $("body").on("mouseenter", ".fp-quality.active", function() {
        1 == leaveCounter && (leaveCounter = !1, clearTimeout(leaveTimeout));
    }), $("body").on("mouseleave", ".fp-volume", function() {
        setTimeout(function() {
            var a = $(".fp-volume").width(), b = $(".fp-volumelevel").width(), c = b / (a / 100) / 100;
            player.volume(c);
        }, 100);
    }), $("body").on("click", ".fp-quality-dropdown div", function() {
        $(this).hasClass("current") || changeQuality($(this).data("quality"));
    });

    var need_to_seek = !1, current_time;

    player.on("load", function() {
        window.top.postMessage("player_started", "*");
    }), player.on("seek", function() {
        $(".fp-x-buffer").css("width", "0%"), need_to_seek && (player.seek(current_time, function() {
            player.resume();
        }), need_to_seek = !1);
    });

    var mouseMove, mouseMoveId;

    $("body").on("mousemove", function(a) {
        mouseMoveId != a.clientX + "|" + a.clientY && ($(".flowplayer").removeClass("is-mouseout").addClass("is-mouseover"),
            clearTimeout(mouseMove), mouseMove = setTimeout(function() {
            console.log("mouseout"), $(".flowplayer").removeClass("is-mouseover").addClass("is-mouseout");
        }, 3e3)), mouseMoveId = a.clientX + "|" + a.clientY;
    });

}