<?php

namespace Moonlight\Component\Configuration;

use Symfony\Component\Yaml\Yaml as BaseYaml;
use Webmozart\Assert\Assert;

class Yaml extends BaseYaml
{

    /**
     * Parse annotations from YAML string
     * by pattern "# @type variable Text".
     *
     * @param  $input
     * @return array
     */
    public static function parseAnnotations($input)
    {
        Assert::string(
            $input,
            'The YAML annotation parser expects a string, %s given.'
        );

        preg_match_all('/#[\s]@(\w+)\s+(\w+)\s+([^\n]+)(?=\n|$)/m', $input, $matches, PREG_SET_ORDER);

        $annotations = [];

        foreach ($matches as $match) {

            $type = $match[1];

            if (!key_exists($type, $annotations))
                $annotations[$type] = [];

            $key = $match[2];
            $value = $match[3];

            $annotations[$type][$key] = $value;
        }

        return $annotations;
    }
}