<?php

namespace Moonlight\Component\HttpKernel;

use Glue\Component\DependencyInjection\ContainerBuilder;
use Glue\Component\HttpKernel\Kernel as BaseKernel;
use Symfony\Component\Config\Loader\LoaderInterface;

class Kernel extends BaseKernel
{
    public function getDataDir()
    {
        return $this->getRootDir() .'/data';
    }

    public function configureContainer(ContainerBuilder $container, LoaderInterface $loader)
    {
        parent::configureContainer($container, $loader);

        $modifiedParametersFile = $this->getTempDir() .'/'. md5($this->getConfigDir() .'/parameters.yml');

        if (file_exists($modifiedParametersFile))
            $loader->load($modifiedParametersFile);

        $container->setParameter('kernel.data_dir', $this->getDataDir());
    }
}