<?php

namespace Moonlight\Controller;

use Glue\Component\Controller\Controller;
use Glue\Component\HttpFoundation\Request;
use Glue\Component\HttpFoundation\Response;
use Webmozart\Assert\Assert;

class ApiController extends Controller
{
    public function findAction(
        Request $request,
        Response $response
    ) {

        $apiUrl = $this->getParameter('moonwalk_api_url');

        $query = $request->query->all();

        $client = $this->get('client');

        Assert::isInstanceOf(
            $client,
            'Moonlight\Component\Client\Client',
            'Client must implement instance of %2$s, %s given.'
        );

        $apiResponse = $client->request('GET', $apiUrl, [
            'query' => $query,
            'headers' => [
                'Connection'                => 'keep-alive',
                'Pragma'                    => 'no-cache',
                'Cache-Control'             => 'no-cache',
                'Upgrade-Insecure-Requests' => '1',
                'Accept'                    => 'text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,*/*;q=0.8',
                'Accept-Encoding'           => 'gzip, deflate, sdch',
                'Accept-Language'           => 'ru-RU,ru;q=0.8,en-US;q=0.6,en;q=0.4'
            ]
        ]);

        $json = $apiResponse->getBody();

        $response->set($json, 200, [
            'content-type'                 => 'application/json',
            'access-control-allow-origin'  => '*',
            'access-control-allow-headers' => 'Origin, X-Requested-With, Content-Type, Accept'
        ]);

        return $response;
    }
}