<?php

namespace Glue\Component\Controller;

use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpKernel\Controller\ArgumentValueResolverInterface;
use Symfony\Component\HttpKernel\ControllerMetadata\ArgumentMetadata;

class ArgumentValueResolver implements ArgumentValueResolverInterface
{
    protected $arguments;

    public function __construct(array $arguments)
    {
        $this->arguments = $arguments;
    }

    public function supports(Request $request, ArgumentMetadata $argument)
    {
        return true;
    }

    public function resolve(Request $request, ArgumentMetadata $argument)
    {
        $name = $argument->getName();

        if (!isset($this->arguments[$name]))
            throw new \InvalidArgumentException(sprintf(
                'The action argument "...$%1$s" is required, but not supported.',
                $argument->getName()
            ));

        $value = $this->arguments[$name];

        yield $value;
    }
}