<?php

namespace Glue\Component\HttpKernel;

use Glue\Component\Controller\ControllerResolver;
use Glue\Component\HttpFoundation\Request;
use Psr\Log\LoggerInterface;
use Symfony\Component\Config\Loader\LoaderInterface;
use Glue\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\Routing\RouteCollectionBuilder;
use Symfony\Component\Routing\Router;

abstract class KernelAbstract
{
    abstract public function getRootDir();

    abstract public function getCacheDir();

    abstract public function getLogsDir();

    abstract public function getTempDir();

    abstract public function getConfigDir();

    abstract protected function configureRequest(Request $request);

    abstract protected function configureRoutes(RouteCollectionBuilder $builder);

    abstract protected function configureRouter(Router $router);

    abstract protected function configureContainer(ContainerBuilder $container, LoaderInterface $loader);

    abstract protected function configureLogger(LoggerInterface $logger, $requestType);

    abstract protected function createResponse(ControllerResolver $resolver);

    abstract protected function onError(\Exception $e);

    abstract public function handle(Request $request);
}